Compiz/KDE/RC2

First let me say. I have RC2 by zypper dup

I noticed an orphaned package: compiz-kde4
If I select to delete it
Compiz-gnome and the gnome desktop get dragged in.

So. Anyone with kde4 installed 11.2 RC2 from the CD or DVD
What compiz packages are you getting?

Just out of interest. Compiz works for me just fine. But I would like to know what it’s installing if compiz-kde4 is no longer in the repo.

http://thumbnails13.imagebam.com/5400/b0132f53999350.gif](http://www.imagebam.com/image/b0132f53999350/)

Screen to help clarify

I guess that if you don’t want compiz then you should mark compiz and not compiz-kde4 package:) Seems as compiz depends on those packages compiz-kde4 or compiz-gnome.

Maybe you misunderstood

The compiz-kde4 package is orphaned (no longer in the repo)

So I was wondering what compiz packages are getting installed in RC2 and kde4?

Hmmm, you are right. I don’t like this situation as it requires compiz users which use KDE to pull many gnome dependencies, maybe something happened?? It shouldn’t be like that or should it?

I personally hate to have something installed which i don’t need (that’s why i always install a minimal x server first then set zypper to install ONLY necessary dependencies while default behaviour is to install also recommended packages).

Anyway, i don’t use compiz, (i did about a year ago;) ), doesn’t kwin provide you with everything you would ever need:)??

I fairly certain it should not be like this. I would file a bug on it, but RC2 is not listed there yet.

BenderBendingRodriguez wrote:

>
> I guess that if you don’t want compiz then you should mark compiz and
> not compiz-kde4 package:) Seems as compiz depends on those packages
> compiz-kde4 or compiz-gnome.
>
>
RC2
I also have missing compiz package compiz-kde4, only installed version (old
one).

When I try Configure Desktop–> Desktop it says:
Composting is not supported on your system.
Required X extensions (XComosite and XDamage) are not available.

What provides the two extensions?

This was working on MS8. Not sure about RC1.


Russ
[openSUSE 11.2 (8 2.6.31.5-0.1-default x86_64] KDE 4.3.2 release 2, Intel
Core 2 Dual E7200. 4 GB DDR III GeForce 8400 GS, 320GB Disc (2)

@upscope
My Effects is working just fine.
If you still have the compiz-kde4 package, did you like me do zypper dup ?

i have just done a clean install of rc2, there is no compiz-kd4 package but desktop effects are enabled

perhaps the package has been replaced

What does this give:

rpm --query --all '*compiz*'

For me:

rpm --query --all ‘compiz
compiz-manager-0.0.1_git080201-60.2.noarch
compiz-fusion-plugins-main-0.7.8-14.1.i586
compiz-kde4-0.7.8-42.2.i586
compiz-branding-openSUSE-0.7.8-43.44.1.i586
compiz-0.7.8-43.44.1.i586
libcompizconfig-0.7.8-8.1.i586

caf4926 wrote:

>
> @upscope
> My Effects is working just fine.
> If you still have the compiz-kde4 package, did you like me do zypper
> dup ?
>
>
Yes I installed using zypper dup?

Here what code gives:

rpm --query --all ‘compiz

libcompizconfig-0.7.8-8.1.x86_64
compiz-0.7.8-43.44.1.x86_64
compiz-kde4-0.7.8-42.2.x86_64
compiz-branding-openSUSE-0.7.8-43.44.1.x86_64
compiz-manager-0.0.1_git080201-60.2.noarch
compiz-fusion-plugins-main-0.7.8-14.1.x86_64

Looks same as yours except mine is 64 bit.

Should I try zypper dup again. I had the repos you had in earlier email
except for source and debug.

Thanks for your response.


Russ
[openSUSE 11.2 (8 2.6.31.5-0.1-default x86_64] KDE 4.3.2 release 2, Intel
Core 2 Dual E7200. 4 GB DDR III GeForce 8400 GS, 320GB Disc (2)

No need to do dup again.

Notice @dth2
Said he did a fresh install and compiz-kde4 is not there. And it’s not in the online repo’s either.

But we don’t have @dth2’s list of compiz yet. Let’s see what he posts on that. I’ll be interested to see what packages are there.

You need to install the Nvidia drivers for kwin and compiz to work properly. This will enable Composting. Just download it from the Nvidia website and install by doing the following in a terminal:

su
(Enter rootpassword)
init 3

Log in and then do this:

su
(enter rootpassword)
cd (folder where the nvidia drivers are located, say ~/downloads)
sh (name of the nvidia drivers.run) -q
(follow the instructions untill it's installed)
init 5

This should do the trick for you to get composting working. As for Compiz, I don’t use it since kwin does all I need:)

This is what it shows:-

garry@opensuse:~> rpm --query --all ‘compiz
compiz-0.7.8-43.44.1.x86_64
compiz-manager-0.0.1_git080201-60.2.noarch
compiz-fusion-plugins-main-0.7.8-14.1.x86_64
compiz-gnome-0.7.8-43.44.1.x86_64
compiz-branding-openSUSE-0.7.8-43.44.1.x86_64
libcompizconfig-0.7.8-8.1.x86_64
garry@opensuse:~>

I first did an update to rc2 from rc1 and I am sure that compiz-kd4 was still listed.The above results are from a clean install of rc2

I bet you will find half the gnome base/desktop packages are installed if you look.

i don’t have gnome installed just kde 4.3 and 3.5 - i wonder if they have combined all the main compiz bits together and compiz-kd4 is now redundant, as it is too big a mistake for the suse package people to have just forgotten to include compiz-kd4 under rc2

Take a look at the list of packages that gets dragged in if I try and delete compiz-kde4

ImageBam - Fast, Free Image Hosting and Photo Sharing

So I wonder how many of those packages you have (The gnome ones)

I removed compiz after upgrading to RC2. Now if i try to install it it’s dragging half of the gnome desktop. Not that i need compiz, just saw the orphaned compiz-kde4 and this thread and out of curiosity i deleted itlol!
Just wondering why it’s gone in main repos but present in the XGL repo:\

IMO this is a Bug.
I did report it a few days ago: https://bugzilla.novell.com/show_bug.cgi?id=551029

It was intentinally dropped by its maintainer due to incompatibilities with KDE 4.3

But Stephan, it’s dragging in most of the gnome desktop. Are you saying this will be permanent?